
Redmine - Defect #12866

attachment from received mails

2013-01-16 13:10 - Felix Muster

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.0

Description

When we send mails in our company, the mail has a footer with company-logo.

The problem is, when I create a ticket via mail, the logo gets uploaded as attachment every time...

Related issues:

Is duplicate of Redmine - Feature #3413: Exclude attachments from incoming em... Closed 2009-05-25

History

#1 - 2013-01-16 21:12 - Jan Niggemann (redmine.org team member)

Felix Muster wrote:

When we send mails in our company, the mail has a footer with company-logo.

The problem is, when I create a ticket via mail, the logo gets uploaded as attachment every time...

 I'd say that having a logo in emails is bad company policy, but I understand that it's annoying...

Removing the logo, which is just an attachment like any other, is non-trivial. How would you implement the logic that decides which attachment to

remove?

At my job, we solved a somewhat similar problem with a plugin that makes a callback to MailHandler and we apply regex to the mail body... But you

need to develop the regex, which is non-trivial, too ;-)

#2 - 2013-09-29 13:52 - Jean-Philippe Lang

- Status changed from New to Closed

Robert Hailey wrote:

S/MIME & company logos could be handled with a configurable filename match in the admin/settings/incoming-email panel.

 Feature added in r12168, a new setting is added to the application settings.
